[New-bugs-announce] [issue9918] Installation "make test", two fails if non-ascii path

ingemar report at bugs.python.org
Wed Sep 22 10:20:05 CEST 2010

New submission from ingemar <ingemar at sijohansson.com>:

I am using Kubuntu 10.4 on a no-brand box with a 64-bit CPU.
I use my own download and install of Python 3.1, SIP and PyQt.

The default download directory as set up by the Kubuntu install is /home/ingemar/Hämtningar,
where "Hämtningar" is Swedish and corresponds to "Download". 
This is where the download of Python-3.1.2.tar.bz2 gets stored by default.
And this is where I let Krusader store the Python-3.1.2 folder that it pulls out of the bz2.
So I step into that folder and run ./configure,  make,  make test,  -- whoops, two tests fail:
Warning: os.environ was modified by test_cmd_line
test test_cmd_line failed -- Traceback (most recent call last):
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/test/test_cmd_line.py", line 181, in test_large_PYTHONPATH
    self.assertTrue(path1.encode('ascii') in stdout)
AssertionError: False is not True


Traceback (most recent call last):
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/xmlrpc/server.py", line 448, in do_POST
    size_remaining = int(self.headers["content-length"])
ValueError: invalid literal for int() with base 10: 'I am broken'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/socketserver.py", line 281, in _handle_request_noblock
    self.process_request(request, client_address)
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/socketserver.py", line 307, in process_request
    self.finish_request(request, client_address)
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/socketserver.py", line 320, in finish_request
    self.RequestHandlerClass(request, client_address, self)
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/socketserver.py", line 614, in __init__
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/http/server.py", line 352, in handle
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/http/server.py", line 346, in handle_one_request
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/xmlrpc/server.py", line 472, in do_POST
    self.send_header("X-traceback", traceback.format_exc())
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/http/server.py", line 410, in send_header
    self.wfile.write(("%s: %s\r\n" % (keyword, value)).encode('ASCII', 'strict'))
UnicodeEncodeError: 'ascii' codec can't encode character '\xe4' in position 71: ordinal not in range(128)
test test_xmlrpc failed -- Traceback (most recent call last):
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/test/test_xmlrpc.py", line 555, in test_fail_with_info
xmlrpc.client.ProtocolError: <ProtocolError for 500 Internal Server Error>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/ingemar/Hämtningar/Python-3.1.2/Lib/test/test_xmlrpc.py", line 562, in test_fail_with_info
    self.assertTrue(e.headers.get("X-traceback") is not None)
AssertionError: False is not True

test_xmlrpc_net skipped -- Use of the `network' resource not enabled
test_zipfile64 skipped -- test requires loads of disk-space bytes and a long time to run
312 tests OK.
2 tests failed:
    test_cmd_line test_xmlrpc
22 tests skipped:
    test_codecmaps_cn test_codecmaps_hk test_codecmaps_jp
    test_codecmaps_kr test_codecmaps_tw test_curses test_kqueue
    test_nis test_ossaudiodev test_pep277 test_smtpnet
    test_socketserver test_startfile test_timeout test_tk
    test_ttk_guionly test_urllib2net test_urllibnet test_winreg
    test_winsound test_xmlrpc_net test_zipfile64
Those skips are all expected on linux2.
make: *** [test] Fel 1

Those two test don't like the Swedish dotted character "ä" in the folder name.
I renamed the folder into pure ASCII and restarted: 
./configure,  make,  make test,  sudo make install.
Everything worked as expected:
314 tests OK.
22 tests skipped:

components: None
messages: 117128
nosy: ingemar
priority: normal
severity: normal
status: open
title: Installation "make test", two fails if non-ascii path
versions: Python 3.1

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list